#######################################################################
#                                                                     #
#                                 Pio                                 #
#                                                                     #
#                    Polyglot Input/Output Library                    #
#                                                                     #
#                       EPI Serena, INRIA Paris                       #
#                                                                     #
#  Copyright (c) 2005-2017 INRIA.                                     #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  All rights reserved. This file is distributed only by permission.  #
#                                                                     #
#  Francois Clement <Francois.Clement@inria.fr>                       #
#  Pierre Weis <Pierre.Weis@inria.fr>                                 #
#                                                                     #
#######################################################################

# $Id: specific_defaults.profile,v 1.16 2017/05/31 15:54:20 fclement Exp $

PROFILE="$PROJECT_CONFIG_DIR/Pio_specific_defaults.profile"
if test -f "$PROFILE"; then
    . "$PROFILE"
else
    $ECHO "Error: no Pio specific defaults profile." 1>&2
    exit $NONEXISTENT_FILE_ERROR
fi
